package ${domain}.module.wsys.req;

import ${domain}.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotEmpty;
import ${domain}.frame.validation.Dict;

/**
 * LogErrUpdateRequest - 错误日志更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-07
 */
public class LogErrUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 处理结果.
     */
    @NotNull(message = "[logErrResult]处理结果不能为NULL")
    @Dict(name = "LOG_ERR_RESULT")
    private String logErrResult;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }
}
